gnutls_extra_check_version(3)

NAME
gnutls_extra_check_version - This function checks the library's version

SYNOPSIS
#include <gnutls/extra.h>

const char * gnutls_extra_check_version(const char * req_version);

ARGUMENTS

const char * req_version
    the version to check

DESCRIPTION
Check that the version of the gnutls-extra library is at minimum the requested one and return the version string; return NULL if the condition is not satisfied. If a NULL is passed to this function, no check is done, but the version string is simply returned.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2006, 2007 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.